Incidentes

Authentication
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint

GET
https://api.monitoraweb.com/v1/incidents

Request example

curl --location --request GET 'https://api.monitoraweb.com/v1/incidents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nombre
Type
Description
search
optional string
The search query.
search_by
optional string
Buscar por. Possible values are: monitor for Monitor, cause for Causa. Defaults to: url.
monitor_id
optional string
Monitor ID.
status
optional string
Estado. Possible values are: unresolved for Sin resolver, acknowledged for Reconocido, resolved for Resuelto.
sort_by
optional string
Ordenar por. Possible values are: started_at for Fecha de inicio, ended_at for Fecha de fin. Defaults to: ended_at.
sort
optional string
Orden. Possible values are: desc for Descendente, asc for Descendente. Defaults to: desc.
per_page
optional integer
Resultados por página. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Show

API endpoint

GET
https://api.monitoraweb.com/v1/incidents/{id}

Request example

curl --location --request GET 'https://api.monitoraweb.com/v1/incidents/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint

POST
https://api.monitoraweb.com/v1/incidents

Request example

curl --location --request POST 'https://api.monitoraweb.com/v1/incidents' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'monitor_id={monitor_id}' \
--data-urlencode 'started_at={started_at}'

Parameters

Nombre
Type
Description
monitor_id
required integer
Monitor ID.
started_at
required string
Started at date in Y-m-dTH:i:s format.
acknowledged_at
optional string
Acknowledged at date in Y-m-dTH:i:s format.
ended_at
optional string
Ended at date in Y-m-dTH:i:s format.
cause
optional string
Causa.
public_message
optional string
Mensaje público.
internal_note
optional string
Nota interna.
Update

API endpoint

PUT PATCH
https://api.monitoraweb.com/v1/incidents/{id}

Request example

curl --location --request PUT 'https://api.monitoraweb.com/v1/incidents/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nombre
Type
Description
acknowledged_at
optional string
Acknowledged at date in Y-m-dTH:i:s format.
ended_at
optional string
Ended at date in Y-m-dTH:i:s format.
cause
optional string
Causa.
public_message
optional string
Mensaje público.
internal_note
optional string
Nota interna.
Eliminar

API endpoint

DELETE
https://api.monitoraweb.com/v1/incidents/{id}

Request example

curl --location --request DELETE 'https://api.monitoraweb.com/v1/incidents/{id}' \
--header 'Authorization: Bearer {api_key}'